跳到主要内容

实盘策略周期收益

GET/research/strategies/{code}/periodic在线调试
GET https://api.shengkezhi.com/open/v1/research/strategies/STS_60M_1I7G6TS4/periodic
等效 curl
curl "https://api.shengkezhi.com/open/v1/research/strategies/STS_60M_1I7G6TS4/periodic" \
  -H "Authorization: Bearer sk_xxx"

GET /research/strategies/{code}/periodic — 实盘策略周期收益。

需在请求头携带 Authorization: Bearer sk_xxx

请求参数

参数位置类型必填默认值说明
codepathstring-策略编号

响应 data

字段类型必填说明
monthlyPeriodicMonthly月度收益:年份与月份轴加上逐年逐月的收益矩阵,喂月度热力图。
yearlyobject(动态键,值为 number)年度收益:年份字符串到该年累计收益的映射,喂年度收益柱图。

PeriodicMonthly 字段

字段类型必填说明
yearsinteger[]覆盖的年份列表(升序),对应月度矩阵的行。
monthsinteger[]月份列表,固定为 1 到 12,对应月度矩阵的列。
matrixnumber[][]逐年 × 12 月的月度收益矩阵,缺月为 null。

调用示例

curl -X GET "https://api.shengkezhi.com/open/v1/research/strategies/STS_60M_1I7G6TS4/periodic" \
-H "Authorization: Bearer sk_xxx"
{
"code": 0,
"msg": "ok",
"data": {
"monthly": {
"years": [
2025,
2026
],
"months": [
1,
2
],
"matrix": [
[
-0.000976838153664531,
-0.006986891372798237
],
[
0.006793218252199779,
0.034930561121631384
]
]
},
"yearly": {
"2025": -0.01830483381487667,
"2026": 0.07480383457195736
}
}
}```